package com.example.tab_app

import android.os.Bundle
import com.google.android.material.snackbar.Snackbar
import androidx.appcompat.app.AppCompatActivity
import com.example.tab_app.ui.main.PagerAdapter
import kotlinx.android.synthetic.main.activity_main.*
import kotlinx.android.synthetic.main.activity_main.view.*

class MainActivity : AppCompatActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)

        // 어댑터 생성 <어댑터는 여러 프래그먼트를 만들고 관리함>
        val Adapter = PagerAdapter(supportFragmentManager)

        // 뷰 페이저에 어댑터 연결
        view_pager.adapter = Adapter

        // 탭 레아아웃에 뷰페이저 연결
        tabs.setupWithViewPager(view_pager)

        // 탭뷰 각각 이름 만들기
        val feel=arrayOf("Funny","Happy","Sad")
        for(i in 0..2)
            tabs.getTabAt(i)?.setText(feel[i])

        fab.setOnClickListener { view ->
            Snackbar.make(view, "Replace with your own action", Snackbar.LENGTH_LONG)
                .setAction("Action", null).show()
        }
    }
}